Show / Hide Table of Contents

# Struct BGCollisionModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Component.BGCollision

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BGCollisionModule

### Methods

| Improve this Doc View Source

#### Raycast(Vector3, Vector3, out RaycastHit, Single)

##### Declaration

    public static bool Raycast(Vector3 origin, Vector3 direction, out RaycastHit hitInfo, float maxDistance = 1000000F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | origin |
System.Numerics.Vector3 | direction |
RaycastHit | hitInfo |
System.Single | maxDistance |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Raycast(Vector3, Vector3, Single, RaycastHit*, Int32*)

##### Declaration

    public static bool Raycast(Vector3 origin, Vector3 direction, float maxDistance, RaycastHit*hitInfo, int *flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | origin |
System.Numerics.Vector3 | direction |
System.Single | maxDistance |
RaycastHit* | hitInfo |
System.Int32* | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Raycast2(Vector3, Vector3, out RaycastHit, Single)

##### Declaration

    public static bool Raycast2(Vector3 origin, Vector3 direction, out RaycastHit hitInfo, float maxDistance = 1000000F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | origin |
System.Numerics.Vector3 | direction |
RaycastHit | hitInfo |
System.Single | maxDistance |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Raycast2(Vector3, Vector3, Single, RaycastHit*, Int32*)

##### Declaration

    public static bool Raycast2(Vector3 origin, Vector3 direction, float maxDistance, RaycastHit*hitInfo, int *flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | origin |
System.Numerics.Vector3 | direction |
System.Single | maxDistance |
RaycastHit* | hitInfo |
System.Int32* | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RaycastEx(RaycastHit*, Vector3, Vector3, Single, Int32, Int32*)

##### Declaration

    public bool RaycastEx(RaycastHit*hitInfo, Vector3 origin, Vector3 direction, float maxDistance, int layerMask, int *flags)

##### Parameters

Type | Name | Description
--- | --- | ---
RaycastHit* | hitInfo |
System.Numerics.Vector3 | origin |
System.Numerics.Vector3 | direction |
System.Single | maxDistance |
System.Int32 | layerMask |
System.Int32* | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |